@ECHO OFF
CLS
ECHO This process will update your Blinker Norton Guide to Version 2.01
ECHO 
ECHO As there were two slightly different versions of the original
ECHO 2.0 Norton Guide, two patches will be applied in some cases, but
ECHO for most people, only one is necessary.
ECHO 
ECHO This batch file will attempt to apply both patches - in the
ECHO event that only one is actually required, an error message will be
ECHO displayed, which can safely be ignored.
ECHO 
IF NOT EXIST BLINKER.NG GOTO NOFILE
PAUSE
ECHO 
ECHO Applying 1st patch...
ECHO 
bl201nga BLINKER.NG
IF ERRORLEVEL 1 GOTO NONEED
GOTO PATCH2
:NONEED
ECHO 
ECHO First patch was not required - ignore previous error!
ECHO 
:PATCH2
ECHO Applying 2nd patch...
bl201ngb BLINKER.NG
IF ERRORLEVEL 1 GOTO FAIL
GOTO SUCCESS
:FAIL
ECHO Patch failed.
ECHO 
ECHO Please make sure this patch is applied to a Blinker 2.0 Norton Guide
ECHO file - this patch will not work with any other version.
GOTO DONE
:SUCCESS
ECHO Patch successful.
ECHO 
ECHO Please delete the following files that are no longer required:
ECHO 
ECHO BLINKER.BAK
ECHO BL201NGA.EXE
ECHO BL201NGB.EXE
ECHO PATCHNG.BAT
ECHO 
GOTO DONE
:NOFILE
ECHO Error : BLINKER.NG not found.
ECHO Please copy BLINKER.NG to current directory and try again.
:DONE
IF NOT EXIST FUNCKY2.TMP GOTO END
DEL FUNCKY2.TMP > NUL
:END
